[@celo/contractkit](../README.md) › [Globals](../globals.md) › ["kit"](../modules/_kit_.md) › [NetworkConfig](_kit_.networkconfig.md)

# Interface: NetworkConfig

## Hierarchy

* **NetworkConfig**

## Index

### Properties

* [attestations](_kit_.networkconfig.md#attestations)
* [blockchainParameters](_kit_.networkconfig.md#blockchainparameters)
* [downtimeSlasher](_kit_.networkconfig.md#downtimeslasher)
* [election](_kit_.networkconfig.md#election)
* [exchanges](_kit_.networkconfig.md#exchanges)
* [gasPriceMinimum](_kit_.networkconfig.md#gaspriceminimum)
* [governance](_kit_.networkconfig.md#governance)
* [grandaMento](_kit_.networkconfig.md#grandamento)
* [lockedGold](_kit_.networkconfig.md#lockedgold)
* [reserve](_kit_.networkconfig.md#reserve)
* [sortedOracles](_kit_.networkconfig.md#sortedoracles)
* [stableTokens](_kit_.networkconfig.md#stabletokens)
* [validators](_kit_.networkconfig.md#validators)

## Properties

###  attestations

• **attestations**: *[AttestationsConfig](_wrappers_attestations_.attestationsconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:74](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L74)*

___

###  blockchainParameters

• **blockchainParameters**: *[BlockchainParametersConfig](_wrappers_blockchainparameters_.blockchainparametersconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:82](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L82)*

___

###  downtimeSlasher

• **downtimeSlasher**: *[DowntimeSlasherConfig](_wrappers_downtimeslasher_.downtimeslasherconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:81](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L81)*

___

###  election

• **election**: *[ElectionConfig](_wrappers_election_.electionconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:73](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L73)*

___

###  exchanges

• **exchanges**: *[EachCeloToken](../modules/_celo_tokens_.md#eachcelotoken)‹[ExchangeConfig](_wrappers_exchange_.exchangeconfig.md)›*

*Defined in [packages/sdk/contractkit/src/kit.ts:71](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L71)*

___

###  gasPriceMinimum

• **gasPriceMinimum**: *[GasPriceMinimumConfig](_wrappers_gaspriceminimum_.gaspriceminimumconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:78](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L78)*

___

###  governance

• **governance**: *[GovernanceConfig](_wrappers_governance_.governanceconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:75](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L75)*

___

###  grandaMento

• **grandaMento**: *[GrandaMentoConfig](_wrappers_grandamento_.grandamentoconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:83](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L83)*

___

###  lockedGold

• **lockedGold**: *[LockedGoldConfig](_wrappers_lockedgold_.lockedgoldconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:76](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L76)*

___

###  reserve

• **reserve**: *[ReserveConfig](_wrappers_reserve_.reserveconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:79](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L79)*

___

###  sortedOracles

• **sortedOracles**: *[SortedOraclesConfig](_wrappers_sortedoracles_.sortedoraclesconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:77](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L77)*

___

###  stableTokens

• **stableTokens**: *[EachCeloToken](../modules/_celo_tokens_.md#eachcelotoken)‹[StableTokenConfig](_wrappers_stabletokenwrapper_.stabletokenconfig.md)›*

*Defined in [packages/sdk/contractkit/src/kit.ts:72](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L72)*

___

###  validators

• **validators**: *[ValidatorsConfig](_wrappers_validators_.validatorsconfig.md)*

*Defined in [packages/sdk/contractkit/src/kit.ts:80](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L80)*
