[@celo/cryptographic-utils](../README.md) › [Globals](../globals.md) › ["node_modules/bls12377js/src/group"](../modules/_node_modules_bls12377js_src_group_.md) › [Group](_node_modules_bls12377js_src_group_.group.md)

# Class: Group <**T**>

## Type parameters

▪ **T**: *[FieldSpec](../interfaces/_node_modules_bls12377js_src_defs_.fieldspec.md)‹T›*

## Hierarchy

* **Group**

## Index

### Methods

* [_add](_node_modules_bls12377js_src_group_.group.md#_add)
* [_double](_node_modules_bls12377js_src_group_.group.md#_double)
* [_scalarMult](_node_modules_bls12377js_src_group_.group.md#_scalarmult)
* [clone](_node_modules_bls12377js_src_group_.group.md#clone)
* [equals](_node_modules_bls12377js_src_group_.group.md#equals)
* [equalsProjective](_node_modules_bls12377js_src_group_.group.md#equalsprojective)
* [isInfinity](_node_modules_bls12377js_src_group_.group.md#isinfinity)
* [toAffine](_node_modules_bls12377js_src_group_.group.md#toaffine)
* [toString](_node_modules_bls12377js_src_group_.group.md#tostring)
* [x](_node_modules_bls12377js_src_group_.group.md#x)
* [y](_node_modules_bls12377js_src_group_.group.md#y)
* [z](_node_modules_bls12377js_src_group_.group.md#z)
* [fromElements](_node_modules_bls12377js_src_group_.group.md#static-fromelements)

## Methods

###  _add

▸ **_add**(`b`: T, `zero`: T, `one`: T, `p2`: [Group](_node_modules_bls12377js_src_group_.group.md)‹T›): *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

Defined in node_modules/bls12377js/src/group.ts:40

**Parameters:**

Name | Type |
------ | ------ |
`b` | T |
`zero` | T |
`one` | T |
`p2` | [Group](_node_modules_bls12377js_src_group_.group.md)‹T› |

**Returns:** *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

___

###  _double

▸ **_double**(`_`: T, `zero`: T, `one`: T): *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

Defined in node_modules/bls12377js/src/group.ts:70

**Parameters:**

Name | Type |
------ | ------ |
`_` | T |
`zero` | T |
`one` | T |

**Returns:** *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

___

###  _scalarMult

▸ **_scalarMult**(`b`: T, `infinity`: [Group](_node_modules_bls12377js_src_group_.group.md)‹T›, `zero`: T, `one`: T, `s`: BigInteger): *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

Defined in node_modules/bls12377js/src/group.ts:97

**Parameters:**

Name | Type |
------ | ------ |
`b` | T |
`infinity` | [Group](_node_modules_bls12377js_src_group_.group.md)‹T› |
`zero` | T |
`one` | T |
`s` | BigInteger |

**Returns:** *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

___

###  clone

▸ **clone**(): *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

Defined in node_modules/bls12377js/src/group.ts:141

**Returns:** *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

___

###  equals

▸ **equals**(`p2`: [Group](_node_modules_bls12377js_src_group_.group.md)‹T›): *boolean*

Defined in node_modules/bls12377js/src/group.ts:128

**Parameters:**

Name | Type |
------ | ------ |
`p2` | [Group](_node_modules_bls12377js_src_group_.group.md)‹T› |

**Returns:** *boolean*

___

###  equalsProjective

▸ **equalsProjective**(`p2`: [Group](_node_modules_bls12377js_src_group_.group.md)‹T›): *boolean*

Defined in node_modules/bls12377js/src/group.ts:133

**Parameters:**

Name | Type |
------ | ------ |
`p2` | [Group](_node_modules_bls12377js_src_group_.group.md)‹T› |

**Returns:** *boolean*

___

###  isInfinity

▸ **isInfinity**(`zero`: T, `one`: T): *boolean*

Defined in node_modules/bls12377js/src/group.ts:137

**Parameters:**

Name | Type |
------ | ------ |
`zero` | T |
`one` | T |

**Returns:** *boolean*

___

###  toAffine

▸ **toAffine**(): *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

Defined in node_modules/bls12377js/src/group.ts:118

**Returns:** *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

___

###  toString

▸ **toString**(`base?`: undefined | number): *string*

Defined in node_modules/bls12377js/src/group.ts:150

**Parameters:**

Name | Type |
------ | ------ |
`base?` | undefined &#124; number |

**Returns:** *string*

___

###  x

▸ **x**(): *T*

Defined in node_modules/bls12377js/src/group.ts:28

**Returns:** *T*

___

###  y

▸ **y**(): *T*

Defined in node_modules/bls12377js/src/group.ts:32

**Returns:** *T*

___

###  z

▸ **z**(): *T*

Defined in node_modules/bls12377js/src/group.ts:36

**Returns:** *T*

___

### `Static` fromElements

▸ **fromElements**<**T**>(`b`: T, `zero`: T, `one`: T, `x`: T, `y`: T, `z`: T): *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*

Defined in node_modules/bls12377js/src/group.ts:14

**Type parameters:**

▪ **T**: *[FieldSpec](../interfaces/_node_modules_bls12377js_src_defs_.fieldspec.md)‹T›*

**Parameters:**

Name | Type |
------ | ------ |
`b` | T |
`zero` | T |
`one` | T |
`x` | T |
`y` | T |
`z` | T |

**Returns:** *[Group](_node_modules_bls12377js_src_group_.group.md)‹T›*
